> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Recurring

> Admin: create a new recurring billing profile.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/admin/recurrings
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/recurrings:
    post:
      tags:
        - admin:recurrings
      summary: Create Recurring
      description: 'Admin: create a new recurring billing profile.'
      operationId: create_recurring_api_v1_admin_recurrings_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecurringCreate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_RecurringOut_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RecurringCreate:
      properties:
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        price:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
          title: Price
        frequency:
          type: string
          title: Frequency
        duration:
          type: integer
          title: Duration
        cycle:
          type: integer
          title: Cycle
        trial_status:
          type: boolean
          title: Trial Status
          default: false
        trial_price:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: Trial Price
        trial_frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Trial Frequency
        trial_duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trial Duration
        trial_cycle:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trial Cycle
        is_active:
          type: boolean
          title: Is Active
          default: true
        sort_order:
          type: integer
          title: Sort Order
          default: 0
      type: object
      required:
        - price
        - frequency
        - duration
        - cycle
      title: RecurringCreate
    ApiResponse_RecurringOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/RecurringOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[RecurringOut]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RecurringOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        price:
          type: number
          title: Price
        frequency:
          type: string
          title: Frequency
        duration:
          type: integer
          title: Duration
        cycle:
          type: integer
          title: Cycle
        trial_status:
          type: boolean
          title: Trial Status
        trial_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Trial Price
        trial_frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Trial Frequency
        trial_duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trial Duration
        trial_cycle:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trial Cycle
        is_active:
          type: boolean
          title: Is Active
        sort_order:
          type: integer
          title: Sort Order
      type: object
      required:
        - id
        - name_i18n
        - price
        - frequency
        - duration
        - cycle
        - trial_status
        - trial_price
        - trial_frequency
        - trial_duration
        - trial_cycle
        - is_active
        - sort_order
      title: RecurringOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````